.banner-intro__slide {
    width: 100%;
    height: 400px;
    position: relative;
}

.banner-intro__img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.banner-intro__img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banner-intro__content {
    color: #FFFFFF;
    padding: 50px 60px;
}

.banner-intro__title {
    max-width: 790px;
    font-size: 54px;
    font-weight: 800;
    text-transform: uppercase;
    margin-bottom: 24px;
}

.banner-intro__desc {
    font-size: 24px;
    font-weight: 500;   
    margin-bottom: 45px;
}

.banner-intro__buttons {
    height: 54px;
    display: flex;
    gap: 10px;
}

.banner-intro__button {
    width: 240px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    border: 1px solid #FFFFFF;
    border-radius: 10px;
    transition: all .3s;
}

.banner-intro__button:hover {
    color: #2A2A2A;
    background: #FFFFFF;
}

.banner-intro__button--white {
    color: #2A2A2A;
    background: #FFFFFF;
}

.banner-intro__button--white:hover {
    background: #e8e8e8;
}

.banner-intro__pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 18px;
}

.banner-intro__pagination .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background: none;
    border: 1px solid #FFFFFF;
    margin: 0 !important;
    opacity: 1;
    transition: all .3s;
}

.banner-intro__pagination .swiper-pagination-bullet-active {
    background: #FFFFFF;
}

@media (max-width: 768px) {
    .banner-intro__slide {
        height: auto;
        max-height: calc(100svh - 90px);
        aspect-ratio: 0.75;
    }

    .banner-intro__content {
        padding: 35px 10px;
    }

    .banner-intro__title {
        max-width: 300px;
        font-size: 24px;
        margin-bottom: 14px;
    }

    .banner-intro__desc {
        max-width: 215px;
        font-size: 12px;
        margin-bottom: 24px;
    }

    .banner-intro__buttons {
        height: auto;
        flex-direction: column;
        gap: 12px;
    }

    .banner-intro__button {
        width: 185px;
        height: 40px;
        font-size: 12px;
        border-radius: 6px;
    }

    .banner-intro__pagination {
        gap: 13px;
    }

    .banner-intro__pagination .swiper-pagination-bullet {
        width: 9px;
        height: 9px;
    }
}